/* ----------------- */
/* ---Site Colors--- */
/* ----------------- */

/* Colors Blue Version 

Header blue: #2C3E50
Title blue: #2574A9

*/

header{
    background-color: #292929;
}

.main{
    color: #292929;
}

a, a:visited, a:hover, a:enabled, .date-icon, .time-icon, .marker-icon, .lecture-file-icon{
    color:#16a085;
}

.title-box, hr{
    background-color: #16a085;
}

/* ----------------- */
/* ----------------- */
/* ----------------- */

html, body{
    padding: 0;
    margin: 0;
    background-color: #F6F6F6;
    min-width: 1200px;
}

*{
    font-family: 'Roboto', sans-serif;
    /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
}

p{
    line-height: 1.3;
}

a, a:visited, a:hover, a:enabled{
    text-decoration: none;
}

a:hover{
 text-decoration: underline;
}

h2{
    padding: 0;
    margin: 0;
    font-weight: normal;
    font-size: 1em;
}


header{
    height: 72px;
    margin: 0;
    padding-left: 29%;
    padding-right: 30px;
    position: relative;
    top: 0;
}

.outer-title-box{
    width: 29%;
    position: absolute;
    top: -5px;
    left: 0;
}

.title-box{
    margin-top:-2px;
    padding:5px;
    padding-top:20px;
    padding-bottom: 21px;
    padding-left: 30px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.course-title{
    margin: 0;
    padding: 0;
    font-size: 1.5em;
    font-weight: 500;
    color: white;
}

.course-name{
    margin: 0;
    font-size: 1.1em;
    padding-bottom: 10px;
    color: white;
}

.nav-menu-list{
    list-style: none;
    display: -webkit-flex;
    display: flex;
    position: absolute;
    bottom: 0;
    right: 20px;
    margin-bottom: 0;
}

.nav-menu-item{
    color: white;
}

.menu-link{
    text-decoration: none;
    color: white !important;
}

.menu-link:hover{
    text-decoration: none !important;
}

.language-selection{
    float: right;
    z-index: 101;
    margin-top: 5px;
    background-color: transparent;
    color: white;
    text-decoration: none;
    border: 0;
    background-position: left center;
    background-size: 18px 14px;
    background-repeat: no-repeat;
    padding-left: 22px;
    font-size: 0.8em;
    color: white !important;
}

.ls-gr{
    background-image: url('../images/greek.png');
}

.ls-en{
    background-image: url('../images/uk.png');
}

.nav-menu-list{
    float: right;
    display: flex;
}

.nav-menu-item{
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 10px;
    margin-right: 10px;
    font-size: 1.15em;
    padding-bottom: 2px;
}

.c-title{
    font-weight: bold;
    font-size: 1.1em;
}

@media screen and (max-width: 1300px) {
    .nav-menu-item{
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media screen and (max-width: 1200px) {
    .nav-menu-item{
        padding-left: 7px;
        padding-right: 7px;
    }
}





.item-selected, .nav-menu-item:hover{
    border-bottom: 6px solid #FFA000;
    margin-bottom: -3px;
}


/* ------------------------------------------------------- */


.main{
    margin-top: 30px;
    display: -webkit-flex;
    display: flex;
    width: 100%;
}

.left-col{
    width: 29%;
    margin-top:48px;
}

.left-box{
    margin-bottom:30px;
    background-color: white;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    min-height: 300px;
    padding: 5px;
    margin-left: 30px;
    position: relative;
}

.box-title{
    font-weight: bold;
    font-size: 1.1em;
    padding-left: 10px;
    padding-top: 10px;

}

.announcement-item{
    font-size: 0.95em;
    margin-bottom: 15px;
    margin-top: 15px;
    padding-left: 10px;
    padding-right: 10px;
}

.an-item-title{
    font-weight: bold;

}

.right-col{
    width: 71%;
}

.content-right{
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background-color: white;
    margin-left: 30px;
    margin-right: 30px;
    min-height: 668px;
    padding:15px;
}

/* ------------------------------------------------------- */

.schedule-item{
    font-size: 1em;
    margin-bottom: 15px;
    margin-top: 15px;
    padding-left: 10px;
}

#schedule{
    min-height: 220px;
}

.sch-date{
    font-weight: bold;
}

.sch-data{
    display: -webkit-flex;
    display: flex;
    margin-top: 5px;
    font-size: 0.95em;
}

.sch-data-item{
    width: 50%;
}

.sch-time, .ta-text{
    padding-left: 4px;
}
.sch-place{
    padding-left: 5px;
}



.ta-info{
    position: absolute;
    bottom: 15px;
    padding-left: 10px;
}

.ta-info-title{
    font-weight: bold;
}

.ta-info-data{
    margin-top: 5px;
    font-size: 0.95em;
}

.date-icon, .time-icon, .marker-icon{
    font-size: 1em;
}



/* ------------------------------------------------------- */

.c-info{
    margin-top: 20px;
    margin-bottom: 20px;
    font-weight: bold;
}

.c-data{
    display: flex;
    margin-top: 30px;
}

.cd-title{
    width: 170px;
    font-weight: bold;
}

.content-link{
    
}

.topics-list{
    margin-bottom: 0.8em;
}

.topics-list  li{
    margin-top:8px;
}

hr{
    height: 2px;
    border:0;
}

/* ------------------------------------------------------- */

footer{
    overflow: hidden;
    margin-left: 30px;
    margin-right: 30px;
    margin-top: 7px;
    font-size: 0.8em;
    color: #505050;
}

.footer-cr{
    float: left;
}

.footer-info{
    float: right;
}

/* ------------------------------------------------------- */

/* @media screen and (max-width: 1150px) {
    .main{
        display: block;
    }

    .left-col{
        width: 100%;
    }

    .right-col{
        width: 100%;
    }

    .left-box {
        margin-right: 15px;
        margin-left: 15px;
    }

    .content-right{
        margin-right: 15px;
        margin-left: 15px;
    }

    nav{
        display: none;
    }

    .outer-title-box{
        left: 35%;
        top:0;
    }

} */


.lecture-row{
    overflow: hidden;
    background-color: #F6F6F6;
    padding: 5px;
    font-weight: 600;
}

.lecture-title{
    float: left;
}

.lecture-date{
    float: right;
    margin: -23px;
    margin-right: 5px;
    font-weight: 400;
    padding: 0;
}

.lecture-files{
    border-bottom: 1px solid #F6F6F6;
}

.lecture-file-icon{
    margin-left: 3px;
    margin-right: 3px;
}

.announcementLine{
    display: none;
    margin-left: 10px;
    margin-right: 10px;
    height: 2px;
}

.lecture-files li{
    margin-bottom: 10px;
}

.lecture-item{
    margin-bottom: 8px;
}

.assignment-info{
    display: -webkit-flex;
    display: flex;
    margin-top: 4px;
    margin-bottom: 4px;
    padding-left: 5px;
}

.as-title{
    font-weight: bold;
    width: 15%;
}

.assignment-files{
    width:86%;
}

.bline{
    border-bottom: 1px solid #F6F6F6;
    margin-top: 10px;
}

.assignment-item{
    margin-bottom: 8px;
    border-right: 3px solid #F6F6F6;
    border-left: 3px solid #F6F6F6;
}

.current-item{
    border-left: 3px solid #292929;
}

.align-left{
    text-align: left;
}

.align-center{
    text-align: center;
}


/* 
#teams, #teamt{
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
}

.team-item{
    width: 215px;
    min-height: 100px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    margin-right: 15px;
    margin-bottom: 15px;
}

.team-name{
    overflow: hidden;
    background-color: #F6F6F6;
    padding: 5px;
    font-weight: 600;
}

.team-members{
    padding-left: 5px;
    padding-top: 5px;
}

.team-member{
    margin-top: 2px;
} 
*/

#announcementsButton{
    visibility: hidden;
}

#burgerNavBar{
    visibility: hidden;
    background: #292929;
}

.mobileSchedule{
    visibility: hidden;
    position: absolute;
    height: 0;
}


li{
    font-style: bold;
}


@media only screen and (min-device-width: 300px) and (max-device-width: 1000px) {

    html, body{
        padding: 0;
        margin: 0;
        background-color: #F6F6F6;
        min-width: 0;
    }

    p{
        font-size: 0.90em;
    }

    li{
        font-size: 0.90em;
    }

    .ta-info{
        position: absolute;
        bottom: 15px;
        padding-left: 10px;
        font-size: 0.95em;
    }
    
    .ta-info-title{
        font-weight: bold;
        font-size: 0.95em;
    }


    .c-info{
        margin-top: 20px;
        margin-bottom: 20px;
        font-weight: bold;
        font-size: 0.90em;
    }
    
    
    .cd-title{
        width: 170px;
        font-weight: bold;
        font-size: 0.90em;
    }

    .c-data{
        margin-top: 30px;
    }

    .cd-def{

        font-size: 0.90em;
    }

    p{
        line-height: 1.2;
    }

    .ta-info-data{
        margin-top: 5px;
        font-size: 0.90em;
    }
    
    .date-icon, .time-icon, .marker-icon{
        font-size: 0.95em;
    }

    
    #noMobile{
        position: absolute;
        visibility: hidden;
    }

    .schedule-item{
        font-size: 0.90em;
        margin-bottom: 25px;
        margin-top: 15px;
        padding-left: 10px;
    }

    .course-title{
        margin: 0;
        padding-top: 5px;
        padding-bottom: 5px;
        font-size: 1.3em;
        font-weight: 500;
        color: white;
    }
    
    .course-name{
        margin: 0;
        font-size: 1.0em;
        padding-bottom: 10px;
        color: white;
    }
    
    .box-title{
        font-weight: bold;
        font-size: 0.95em;
        padding-left: 10px;
        padding-top: 8px;
    }
    
    .announcement-item{
        margin-bottom: 15px;
        margin-top: 15px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .an-item-title{
        font-weight: bold;
        padding-top: 0px;
        font-size: 0.95em;
    }

    .an-item-content{
        padding-top: 5px;
        font-size: 0.90em;
    }

    .c-title{
        font-weight: bold;
        font-size: 0.95em;
    }

    #menu li{
        font-size: 1.0em;
    }
    .menu-link{
        margin-bottom: 30px;
    }
    #menuToggle{
        height: 35px;
    }
    #burgerNavBar{
        visibility: visible;
        top: -2px;
        padding-top: 15px;
        width: 100%;
        /* left: 10px; */
        background: #292929;
        position: fixed;
        z-index: 100;
    }

    .nav-menu-list{
        visibility: hidden;

    }
    .main{
        margin-top: 100px;
        margin-right: 30px;
        display: block;
    }
    .right-col{
        width: 100%;
        /* margin-right: 0%; */
        /* display: block; */
    }

    .left-col{
        width: 100%;
        /* margin-right: 30%; */
        /* display: inline; */
    }

    .outer-title-box{
        display: block;
        width: 100%;
        margin-right: 20px;
        padding-top: 10px;
    }

    .title-box{
        padding-bottom: 19px;
        margin-top: 40px;
        margin-right: 3%;
    }

    .language-selection{
        float: right;
        position: fixed;
        z-index: 101;
        top: 10px;
        right: 10px;
        background-color: transparent;
        color: white;
        text-decoration: none;
        border: 0;
        background-position: left center;
        background-size: 18px 14px;
        background-repeat: no-repeat;
        padding-left: 22px;
        font-size: 0.8em;
        color: white !important;
    }

    .content-right{
        box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        background-color: white;
        margin-top: 3%;
        margin-left: 3%;
        margin-right: 3%;
        min-height: 368px;
        padding:15px;
    }

    .left-box{
        /* margin-bottom:30px; */
        background-color: white;
        box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        min-height: 0px;
        padding: 5px;
        margin-top: 3%;
        margin-left: 3%;
        margin-right: 3%;
        margin-bottom: 3%;
        position: relative;
    }

    .lecture-item{
        margin-top: 20px;
        margin-bottom: 8px;
    }

    ol{
        padding-left: 20px;
    }

    .lecture-title{
        padding-bottom: 20px;
        margin: 0;
        float: left;

        font-size: 0.95em;
    }



    .assignment-file{
        padding-bottom: 5px;
        padding-top: 5px;
    }
    
    .lecture-date{
        position: absolute;
        margin-top: -22px;
        margin-left: 5px;
        font-weight: 400;
        font-size: 0.80em;
    }

    .fg-title font{
        font-size: 0.95em;
        margin-left: 15px;
    }

    .fg-value font{
        font-size: 0.95em;
        margin-left: 20px;
    }

    .as-title{
        font-size: 0.95em;
        width: 200px;
    }

    #assignment{
        
        padding-top: 5px; 
    }

    
    #assignment-row{
        
        height: 25px;
    }


    .as-value font{
        font-size: 0.90em;
    }

    .cd-def{
        margin-left: -10px;
    }

    #announcements{
        height: 32px;
        overflow: hidden;
    }

    #announcementsButton{
        visibility: visible;
        margin-top: 5px;
        margin-right: 5px;
    }

    .announcementLine{
        height: 0;
    }

    .mobileSchedule{
        visibility: visible;;
        position: relative;
        height: auto;
    }
    
    

    .footer-cr{
        float: left;
        font-size: 0.75em;
    }
    
    .footer-info{
        float: left;
        font-size: 0.75em;
        margin-bottom: 3%;
    }
}